OWNCLOUD(1)

NAME
owncloud - File synchronisation desktop utility.

SYNOPSIS

owncloud [OPTIONS...]

DESCRIPTION

The ownCloud Client is a file synchronization desktop utility. It synchronizes files on your local computer, tablet, or handheld device with an ownCloud Server. If you make a change to the files on one device, the change is propagated to all other synchronized devices using the desktop synchronization clients.

Normally, you start the client by clicking on the desktop icon or by starting it from the client application menu. After starting, an ownCloud icon appears in the computer system tray or on your tablet or handheld device.

OPTIONS

You have the option of starting your ownCloud desktop client with the owncloud command. The following options are supported:

owncloud -h or owncloud --help
    Displays all command options.

    The other options are:

--logwindow
    Opens a window displaying log output.

--logfile <filename>
    Write log output to the file specified. To write to stdout, specify - as the filename.

--logdir <name>
    Writes each synchronization log output in a new file in the specified directory.

--logexpire <hours>
    Removes logs older than the value specified (in hours). This command is used with --logdir.

--logflush
    Clears (flushes) the log file after each write action.

--confdir <dirname>
    Uses the specified configuration directory.

CONFIG FILE

The ownCloud Client reads a configuration file. You can locate this configuration file as follows:

On Linux distributions:
    $HOME/.local/share/data/ownCloud/owncloud.cfg

On Microsoft Windows systems:
    %LOCALAPPDATA%\ownCloud\owncloud.cfg

On MAC OS X systems:
    $HOME/Library/Application Support/ownCloud/owncloud.cfg

    The configuration file contains settings using the Microsoft Windows .ini file format. You can overwrite changes using the ownCloud configuration dialog.

    NOTE: Use caution when making changes to the ownCloud Client configuration file. Incorrect settings can produce unintended results.

    You can change the following configuration settings in the [ownCloud] section:

•   remotePollInterval (default: 30000) -- Specifies the poll time for the remote repository in milliseconds.

•   forceSyncInterval (default: 7200000) -- The duration of no activity after which a synchronization run shall be triggered automatically.

•   notificationRefreshInterval (default: 300000) -- Specifies the default interval of checking for new server notifications in milliseconds.

    You can change the following configuration settings in the [General] section:

•   chunkSize (default: 5242880) -- Specifies the chunk size of uploaded files in bytes.

•   promptDeleteAllFiles (default: true) -- If a UI prompt should ask for confirmation if it was detected that all files and folders were deleted.

•   maxLogLines (default: 20000) -- Specifies the maximum number of log lines displayed in the log window.

•   timeout (default: 300) -- The timeout for network connections in seconds.

BUGS

Please report bugs at https://github.com/owncloud/client/issues.

SEE ALSO

owncloudcmd(1)

AUTHOR
The ownCloud developers

COPYRIGHT
2013-2016, The ownCloud developers